Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        tcpClient.RemoteHost = tcpClient.LocalIP ' Будем коннектиться к серверу по тому же локальному айпи адресу
        tcpClient.RemotePort = 2012 ' Такой же порт как и в сервере
    End Sub
    Private Sub tcpClient_DataArrival(ByVal sender As Object, ByVal e As AxMSWinsockLib.DMSWinsockControlEvents_DataArrivalEvent) Handles tcpClient.DataArrival
        tcpClient.GetData(TextBox2.Text) ' В TextBox2 будем получать текст от сервера
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        tcpClient.Connect() ' Создаем соединение
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        tcpClient.SendData(TextBox1.Text) ' Отправляем текст серверу
    End Sub
End Class
